//
// FILE:     Accumulator.java
// AUTHOR:   Eugene Wallingford 
// DATE:     2012/09/10
// COMMENT:  This interface defines the model for a simple two-function
//           calculator.  It accumulates digits to form numbers and
//           adds (and subtracts) those numbers to (and from)
//           a cumulative sum.  It also resets to the initial state.
//
// MODIFIED: (new)
// CHANGE:   (new)
//

public interface Accumulator
{
  public void addDigit( int digit );
  public void plus();
  public void minus();
  public void clear();
  public int  displayValue();
}